/*
Definovan tvar primky souradnice A(x,y),Souradnice B(x,y),smernice k a posunuti q
 */
package octantserver;

/**
 *
 * @author AXNi3
 */
public class Primka {
    
Double k,q;
Souradnice a,b;

    public Souradnice getA() {
        return a;
    }

    public void setA(Souradnice a) {
        this.a = a;
    }

    public Souradnice getB() {
        return b;
    }

    public void setB(Souradnice b) {
        this.b = b;
    }

    public Double getK() {
        return k;
    }

    public void setK(Double k) {
        this.k = k;
    }

    public Double getQ() {
        return q;
    }

    public void setQ(Double q) {
        this.q = q;
    }

    public Primka(Double k, Double q, Souradnice a, Souradnice b) {
        this.k = k;
        this.q = q;
        this.a = a;
        this.b = b;
    }


    
    
}
